SmlManager Struct Reference
libsyncml API Internals » Low Level API Internals » SyncML Manager Internals
Collaboration diagram for SmlManager:

## Data Fields

SmlTransport * | transport
GList * | sessions
SmlManagerEventCb | eventCallback
void * | eventCallbackUserdata
SmlHeaderCb | headerCallback
SmlStatusReplyCb | headerStatusCallback
void * | headerCallbackUserdata
GList * | objects
GSourceFuncs * | functions
SmlThread * | thread
GMainContext * | context
GSource * | source
GCond * | running
GMutex * | running_mutex
SmlQueue * | userEventQueue
unsigned int | localMaxMsgSize
unsigned int | localMaxObjSize

## Detailed Description

Definition at line 35 of file sml_manager_internals.h.

The documentation for this struct was generated from the following file:

- /build/libsyncml-I3VCSZ/libsyncml-0.5.4/libsyncml/sml_manager_internals.h